summaryrefslogtreecommitdiffstats
path: root/shell
diff options
context:
space:
mode:
authorJeremy Phelps <jphelps@linuxfoundation.org>2018-08-07 11:08:48 -0500
committerJeremy Phelps <jphelps@linuxfoundation.org>2018-08-09 17:28:50 +0000
commit08126d8a19632ddcf42763e59aec64da968a2b42 (patch)
tree08eaf465c97c266b257be909f8977af638ea1db2 /shell
parentc4907e6893540f4a2edd815e57e3d872c250f716 (diff)
Instantiate helm jobs
Issue-ID: CIMAN-164 Change-Id: I020e408c98af2b5ed3f50661f70b7fe2b2912199 Signed-off-by: Jeremy Phelps <jphelps@linuxfoundation.org>
Diffstat (limited to 'shell')
-rw-r--r--shell/helm-repo-init.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/shell/helm-repo-init.sh b/shell/helm-repo-init.sh
new file mode 100644
index 000000000..fb2f81029
--- /dev/null
+++ b/shell/helm-repo-init.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+# Ensure we fail the job if any steps fail
+set -e -o pipefail
+
+# client only init, tiller will not be installed
+helm init --client-only
+cd kubernetes/ || exit
+make repo
+cd ..